unit uTraxpForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
	wtraxp, {wRCHFONTS, }ComCtrls;

type
   TProcedure= procedure;

  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    StatusBar1: TStatusBar;
    Timer1: TTimer;
    Button1: TButton;
    procedure PaintBox1Paint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
	procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
      bm: TBitmap;
    procPrincipal: procedure;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.PaintBox1Paint(Sender: TObject);
begin
 PaintBox1.Canvas.CopyRect(
       PaintBox1.Canvas.ClipRect,
       bm.Canvas,
       PaintBox1.Canvas.ClipRect );
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  bm:= TBitmap.Create;
  bm.Height:= PaintBox1.Height;
  bm.Width:= PaintBox1.Width;
  ColorPapelTexto:= Azul;
  ColorTintaTexto:= Blanco;
  DefinaColorDefFondo( Azul );
  InicieGr( PaintBox1.Canvas, bm.Canvas, PaintBox1.Width, PaintBox1.Height, 200 );
  DefinaColorAux(grisOscuro);
  DefinaColorDefTrazos(blanco);
  DefinaColorDefFondo(negro);
end;


procedure TForm1.Button2Click(Sender: TObject);
var
   f: TForm1;
begin
 f:= TForm1.Create(nil);

end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
   TTimer(Sender).Enabled:= false;
   procPrincipal;
   Close;
end;

end.


 